﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    /**
     * The printer prints request parameters
     *
     * @author RabyGao
     * @date Aug 7, 2019
     */
    public class PrintRequest : RestRequest
    {
        /**
         * Printer number
         */
        private String sn;

        /**
         * Print content, no more than 5000 bytes
         */
        private String content;

        /**
         * Number of printed copies. Default is 1
         */
        private int copies = 1;
        /**
         * Print mode, default is 0
         */
        private int mode = 0;
        [JsonProperty("sn")]
        public string Sn { get{ return sn; }set{ sn = value; }}
        [JsonProperty("content")]
        public string Content { get{ return content; }set{ content = value; }}
        [JsonProperty("copies")]
        public int Copies { get{ return copies; }set{ copies = value; }}
        [JsonProperty("mode")]
        public int Mode { get{ return mode; }set{ mode = value; }}

        private int? payType;
        /// <summary>
        /// Payment methods 41~55: Alipay WeChat...
        /// </summary>
        [JsonProperty("payType")]
        public int? PayType { get{ return payType; }set{ payType = value; }}
        private int? payMode;
        /// <summary>
        /// Pay or not 59~61: Refund to account consumption
        /// </summary>
        [JsonProperty("payMode")]
        public int? PayMode { get{ return payMode; }set{ payMode = value; }}
        private double? money;
        /// <summary>
        /// Pay the amount
        /// </summary>
        [JsonProperty("money")]
        public double? Money { get{ return money; }set{ money = value; }}

        private int? voice;
        /// <summary>
        /// Sound playback mode, 0 for cancel the order mode, 1 for mute mode, 2 for single playback mode, default is 2 for single playback mode
        /// </summary>
        [JsonProperty("voice")]
        public int? Voice { get{ return voice; }set{ voice = value; }}
    }
}
