﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    public class RestRequest
    {

        /**
         * Core Ye cloud background registered user name
         */
        private String user;
        /**
         * Current UNIX timestamp, 10 bits, accurate to the second
         */
        private String timestamp;
        /**
         * After splicing the parameter USER + UKEY + TIMESTAMP (+ sign represents the hyphen), SHA1 encryption is performed to get the signature, and the value is a 40-bit lowercase string
         */
        private String sign;
        /**
         * debug =1 returns data that is not in JSON format.For testing purposes only
         */
        private String debug;

        [JsonProperty("sign")]
        public string Sign { get{ return sign; }set{ sign = value; }}
        [JsonProperty("debug")]
        public string Debug { get{ return debug; }set{ debug = value; }}
        [JsonProperty("timestamp")]
        public string Timestamp { get{ return timestamp; }set{ timestamp = value; }}
        [JsonProperty("user")]
        public string User { get{ return user; }set{ user = value; }}
    }
}