﻿using System;
using Newtonsoft.Json;

namespace YKPrintService.VO
{
    /// <summary>
    /// Cloud horn play voice request parameters
    /// </summary>
    public class VoiceRequest : RestRequest
    {
        /// <summary>
        /// Printer number
        /// </summary>
        private String sn;

        [JsonProperty("sn")]
        public string Sn { get{ return sn; }set{ sn = value; }}

        private int? payType;
        /// <summary>
        /// Payment methods 41~55: Alipay WeChat...
        /// </summary>
        [JsonProperty("payType")]
        public int? PayType { get{ return payType; }set{ payType = value; }}
        private int? payMode;
        /// <summary>
        /// Pay or not 59~61: Refund to account consumption
        /// </summary>
        [JsonProperty("payMode")]
        public int? PayMode { get{ return payMode; }set{ payMode = value; }}
        private double? money;
        /// <summary>
        /// Pay the amount
        /// </summary>
        [JsonProperty("money")]
        public double? Money { get{ return money; }set{ money = value; }}
    }
}
