﻿using System;
using YKPrintService.Util;
using YKPrintService.VO;

namespace PrintServiceTest
{
    /// <summary>
    /// Public configuration class
    /// </summary>
    public class Config
    {
        /// <summary>
        /// *Required*: Xinye Cloud background registration account (ie email address or developer ID), after successful registration of the developer user,
        /// log in to Xinye Cloud background and view the developer ID under [Personal Center -> account information]
        /// 
        /// Currently [XXXXXXXXXXXXXXXX] is just an example, need to be modified before use
        /// </summary>
        public static readonly string USER_NAME = "XXXXXXXXXXXXXXXX";
        /// <summary>
        /// *Required*: The developer key automatically generated after registering an account on the Xinye Cloud background.
        /// After the developer user has successfully registered,log in to the Xinye Cloud background and view the developer key under [Personal Center -> account information]
        /// 
        /// Currently [XXXXXXXXXXXXXXXX] is just an example, need to be modified before use
        /// </summary>
        public static readonly string USER_KEY = "XXXXXXXXXXXXXXXX";
        /// <summary>
        /// *Required*: The printer number, you must add a printer or call the API interface to add a printer under [Print Management -> Printer Management] in the backstage of Xinye Cloud Management.
        /// Pay attention to replace the printer number when testing the ticket machine and labeling machine
        /// How to get the print number: There will be a QR code with PID at the bottom of the printer, and a string of characters after the PID is the printer number
        /// 
        /// Currently [XXXXXXXXXXXXXXXX] is just an example, need to be modified before use
        /// </summary>
        public static readonly string OK_PRINTER_SN = "XXXXXXXXXXXXXXXX";

        /// <summary>
        /// 生成通用的请求头
        /// </summary>
        /// <param name="request">所有请求都必须传递的参数。</param>
        public static void createRequestHeader(RestRequest request)
        {
            //*Required*: Registered account of Xinye cloud platform (developer ID)
            request.User = USER_NAME;
            //*Required*: Current UNIX timestamp in 10 bits, accurate to seconds
            request.Timestamp = ((DateTime.Now.ToUniversalTime().Ticks - 621355968000000000) / 10000000).ToString();
            //*Required*: After the parameter user + UserKEY + timestamp is spliced (+ indicates connector), SHA1 encryption will produce a signature.
            //The value is a 40-bit lowercase string, where UserKEY is a developer key for the user.
            request.Sign = HashSignUtil.sign(request.User + USER_KEY + request.Timestamp);
            //When debug is equal to 1, it will return to non-json data, which is only used for testing.
            request.Debug = "0";
        }
    }
}
