﻿using Newtonsoft.Json;
using System;

namespace YKPrintService.VO
{
    public class ObjectRestResponse<T>
    {

        public static readonly  String REST_RESPONSE_OK = "ok";

        /**
         * Return code, correct return 0, [Note: the result is correct or not to return the parameter], error return non-zero
         */
        private int code;
        /**
         * Result prompt message, correct return "OK", if there is an error, return an error message
         */
        private String msg;
        /**
         * The private return parameter data, if there is an error, returns null
         */
        private T data;
        /**
         * Server program execution time, in milliseconds
         */
        private long serverExecutedTime;

        public ObjectRestResponse()
        {
            this.code = 0;
            this.msg = REST_RESPONSE_OK;
        }
        [JsonProperty("code")]
        public int Code { get{ return this.code; }set{ this.code = value; }}
        [JsonProperty("msg")]
        public string Msg { get{ return this.msg; }set{ this.msg = value; }}
        [JsonProperty("data")]
        public T Data { get{ return this.data; }set{ this.data = value; }}
        [JsonProperty("serverExecutedTime")]
        public long ServerExecutedTime { get{ return serverExecutedTime; }set{ serverExecutedTime = value; }}
    }
}
